import Vue from "vue";
import { RawLocation } from "vue-router/types/router";
import { Route } from "vue-router";

export default class Parent extends Vue {
    protected _push(location : RawLocation, success_cb? : Function, error_cb? : Function) {
        this.$router.push(location).catch(err => {
            if (error_cb) {
                error_cb.apply(this, err);
            }
        }).then((value : Route) => {
            if (success_cb) {
                success_cb.apply(this, value);
            }
        })
    }

    public goPage(name : string, success_cb? : Function, error_cb? : Function) {
        this._push({name}, success_cb, error_cb);
    }
}