import { RouteConfig } from "vue-router";
import Layout from '../pages/layout/layout.vue'

const routers : RouteConfig[] = [
    {
        path : '/login',
        name : 'login',
        component : () => import(/* webpackChunkName: "admin-login" */ '@/views/admin/pages/login/login.vue'),
        meta : {title : "登陆", isMenu : false}
    }, {
        path : "/",
        name : 'layout',
        component : Layout,
        redirect : "/index",
        meta : {title : "", isMenu : false},
        children : [{
            path : "index",
            name : "index",
            meta : {title : "首页", isMenu : true, icon : "", path : "/index"},
            // redirect : "/index/dashboard",
            component : () => import(/* webpackChunkName: "admin-login" */ '@/views/admin/pages/home/home.vue'),

        },]
    }
]

export default routers