import Vue from 'vue'
import Vuex from 'vuex'
import user, {UserState} from "@/views/admin/store/user";
import createPersistedState from 'vuex-persistedstate'

Vue.use(Vuex)

interface StateInterface {
    user : UserState,
}

const localStorage : any = window.localStorage;

export default new Vuex.Store({
    getters : {
        token : (state : StateInterface) => state.user.token,
    },
    modules : {
        user,
    },
    plugins : [
        createPersistedState({
            key : 'admin',
            storage : {
                getItem : (key : string) => {
                    return localStorage.getItem(key);
                },
                setItem : (key : string, value : any) => {
                    return localStorage.setItem(key, value);
                },
                removeItem : (key : string) => {
                    return localStorage.removeItem(key);
                }
            }
        })
    ]
})
