import Vue from 'vue'
import App from "./App.vue"
import router from './router/index'
import store from './store'
import Http, { get, post } from "@/utils/Http";
import "../../plugins/iview"
import "../../plugins/element";
import "@/assets/style/tailwind.css"
import * as _ from 'lodash'
const sprintf = require('sprintf-js');

import '@/icons'

Http.store = store;
Http.router = router;
Http.baseUri = '/api/'
Vue.prototype.$http = Http;
Vue.config.devtools = process.env.NODE_ENV !== 'production';
// Vue.config.devtools = true;
Vue.config.silent = process.env.NODE_ENV === 'production';
// Vue.config.silent = false;
Vue.config.productionTip = process.env.NODE_ENV !== 'production';
Vue.prototype.$isDev = process.env.NODE_ENV !== 'production';

Vue.prototype.$sprintf = sprintf.sprintf;
Vue.prototype.$_ = _;
Vue.prototype.$bus = new Vue({});

new Vue({
    router,
    store,
    render : h => h(App),
    created() {
        this.$http.vue = this;
    }
}).$mount('#app')
