import { Component, Mixins, Vue, Watch } from 'vue-property-decorator'
import {
    State,
    Getter,
    Action,
    Mutation
} from "vuex-class";
import HomeParent from "@/views/home/Common/HomeParent";
import CustomPage from "@/components/page.vue";
import SvgIcon  from '@/components/SvgIcon.vue'
import { TableColumn } from "view-design"
import { Request } from "@/utils/Request";
import Url from "@/utils/Url";


@Component({
    components : {
        SvgIcon,CustomPage
    }
})
export default class Home extends HomeParent {
    name : string = 'home'
    public noDataText = "没有数据"
    public List :any = []
    public columns: TableColumn[] = [{
        width: 80,
        key: 'id',
        align: 'center',
    }, {
        title: "name",
        key: "name"
    }, {
        title: "tapd_id",
        key: "tapd_id"
    },{
        title: "操作",
        slot: "operation"
    }]

    public total: number = 0;
    public search: { page: number, size: number , keywords? : string } = {
        page: 1, size: 10 , keywords : ""
    }
    public searchEvent(){

    }

    public created() {
        this._getData()


    }
    @Watch("search.page")
    private _onPageChange(): void {
        this._getData()
    }
    @Watch("search.size")
    private _onPageSizeChange(): void {
        this.search.page = 1;
        this._getData()
    }



    private async _getData(){
        const  res:any = await Request('get',Url.HOME)
        this.List = res.data
        console.log(res)
    }



}