import Vue from 'vue'
import VueRouter, { RouteConfig } from 'vue-router'
import Routers from './router'
import Store from '../store'
import { LoadingBar } from 'view-design'
import Types from "@/views/home/store/types";

Vue.use(VueRouter)

const routes : Array<RouteConfig> = [
    ...Routers
]

const router = new VueRouter({
    // base : "/dashboard/",
    mode : "history",
    routes,
})

function setTitle(title : string) : void {
    window.document.title = '管理平台';
}

router.beforeEach((to, from, next) => {
    LoadingBar.start();
    if (to.path === '/login') {
        next();
    } else {
        // 从本地存储里获取token
        let token = Store.state.token as string
        // 判断token是否为空如果为空则跳转到登录页 如果有则放行
        if (!token) {
            next({path:'/login'});
        } else {
            next();
        }
    }
})

router.afterEach((to, from) => {
    LoadingBar.finish();
})

export default router
