import { RouteConfig } from "vue-router";
import Layout from '../pages/layout/layout.vue'

const routers: RouteConfig[] = [{
    path: "/",
    name: 'layout',
    component: Layout,
    redirect: "/home",
    meta: {title: "首页", isMenu: false},
    children: [{
        path: "home",
        name: 'home',
        meta: {title: "dashboard", isMenu: false},
        component: () => import(/* webpackChunkName: "home-home" */ '@/views/home/pages/home/home.vue'),
    },{
        path: "nft",
        name: 'nft',
        meta: {title: "nft", isMenu: false},
        component: () => import(/* webpackChunkName: "home-home" */ '@/views/home/pages/nft/nft.vue'),
    },{
        path: "mint",
        name: 'mint',
        meta: {title: "mint", isMenu: false},
        component: () => import(/* webpackChunkName: "home-home" */ '@/views/home/pages/mint/mint.vue'),
    },{
        path: "apply",
        name: 'apply',
        meta: {title: "申请", isMenu: false},
        component: () => import(/* webpackChunkName: "home-home" */ '@/views/home/pages/apply/apple.vue'),
    },{
        path: "audit",
        name: 'audit',
        meta: {title: "初审", isMenu: false},
        component: () => import(/* webpackChunkName: "home-home" */ '@/views/home/pages/audit/audit.vue'),
    },{
        path: "final-audit",
        name: 'final-audit',
        meta: {title: "终审", isMenu: false},
        component: () => import(/* webpackChunkName: "home-home" */ '@/views/home/pages/audit/final-audit.vue'),
    },{
        path: "execute",
        name: 'execute',
        meta: {title: "execute", isMenu: false},
        component: () => import(/* webpackChunkName: "home-home" */ '@/views/home/pages/execute/execute.vue'),
    },{
        path: "user",
        name: 'user',
        meta: {title: "用户", isMenu: false},
        component: () => import(/* webpackChunkName: "home-home" */ '@/views/home/pages/user/user.vue'),
    },{
        path: "node",
        name: 'node',
        meta: {title: "权限", isMenu: false},
        component: () => import(/* webpackChunkName: "home-home" */ '@/views/home/pages/node/node.vue'),
    },{
        path: "node-group",
        name: 'node-group',
        meta: {title: "权限组", isMenu: false},
        component: () => import(/* webpackChunkName: "home-home" */ '@/views/home/pages/node/node-group.vue'),
    },{
        path: "menu",
        name: 'menu',
        meta: {title: "菜单", isMenu: false},
        component: () => import(/* webpackChunkName: "home-home" */ '@/views/home/pages/menu/menu.vue'),
    }]
}, {
    path: "/login",
    name: 'login',
    meta: {title: "", isMenu: false},
    component: () => import(/* webpackChunkName: "home-login" */ '@/views/home/pages/login/login.vue'),
},{
    path: "/404",
    name: '404',
    meta: {title: "", isMenu: false},
    component: () => import(/* webpackChunkName: "home-login" */ '@/views/home/pages/error/404.vue'),
},{
    path: '*',//匹配未定义的路由
    redirect: '/404'//重定向
}];

export default routers;